MWAWPictBitmapContainerBool Class Reference documentation

Public Member Functions | List of all members
MWAWPictBitmapContainerBool Class Referencefinal

a bool container with a function to put packed row More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmapContainerBool:

## Public Member Functions
| MWAWPictBitmapContainerBool (MWAWVec2i const &sz)
| constructor
| ~MWAWPictBitmapContainerBool () final
| destructor
int | cmp (MWAWPictBitmapContainerBool const &orig) const
| a comparison operator
void | setRowPacked (int j, unsigned char const *val, unsigned char const *end)
| allows to use packed m_data
Public Member Functions inherited from MWAWPictBitmapContainer< bool >
| MWAWPictBitmapContainer (MWAWVec2i const &sz)
| constructor given size
virtual | ~MWAWPictBitmapContainer ()
| destructor
bool | ok () const
| returns ok, if the m_data is allocated
int | cmp (MWAWPictBitmapContainer< bool > const &orig) const
| a comparison operator
MWAWVec2i const & | size () const
| return the array size
int | numRows () const
| gets the number of row
int | numColumns () const
| gets the number of column
bool const & | get (int i, int j) const
| accessor of a cell m_data
bool const * | getRow (int j) const
| accessor of a row m_data
void | set (int i, int j, bool const &v)
| sets a cell m_data
void | setRow (int j, U const *val)
| sets a line of m_data
void | setColumn (int i, U const *val)
| sets a column of m_data

## Additional Inherited Members
Protected Attributes inherited from MWAWPictBitmapContainer< bool >
MWAWVec2i | m_size
| the size
bool * | m_data
| the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, ..

## Detailed Description

a bool container with a function to put packed row

## Constructor & Destructor Documentation

## ◆ MWAWPictBitmapContainerBool()

MWAWPictBitmapContainerBool::MWAWPictBitmapContainerBool | ( | MWAWVec2i const & | sz | ) |
| inlineexplicit

constructor

## ◆ ~MWAWPictBitmapContainerBool()

MWAWPictBitmapContainerBool::~MWAWPictBitmapContainerBool | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ cmp()

int MWAWPictBitmapContainerBool::cmp | ( | MWAWPictBitmapContainerBool const & | orig | ) | const
| inline

a comparison operator

Referenced by MWAWPictBitmapBW::cmp(), and MWAWPictBitmapIndexed::cmp().

## ◆ setRowPacked()

void MWAWPictBitmapContainerBool::setRowPacked | ( | int | j,
|  | unsigned char const * | val,
|  | unsigned char const * | end )
| inline

allows to use packed m_data

Referenced by MWAWPictBitmapBW::setRowPacked().

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx